Plates
======

[![Build Status](https://travis-ci.org/thephpleague/plates.png?branch=master)](https://travis-ci.org/thephpleague/plates)
[![Total Downloads](https://poser.pugx.org/league/plates/downloads.png)](https://packagist.org/packages/league/plates)
[![Latest Stable Version](https://poser.pugx.org/league/plates/v/stable.png)](https://packagist.org/packages/league/plates)

Plates is a native PHP template system that’s fast, easy to use and easy to extend. It’s inspired by the excellent [Twig](http://twig.sensiolabs.org/) template engine and tries to bring modern template language functionality to native PHP templates. Plates is designed for developers who prefer to use native PHP templates over compiled templates, such as Twig or Smarty.

### Highlights

- Native PHP templates, no new syntax to learn
- Plates is a template system, not a template language
- Plates encourages the use of existing PHP functions
- Template layouts and inheritance
- Template folders for grouping templates into namespaces
- Easy to extend using extensions
- Framework-agnostic, will work with any project
- Decoupled design makes templates easy to test
- Composer ready and PSR-2 compliant

## Installation

Plates is available via Composer:

```json
{
    "require": {
        "league/plates": "2.*"
    }
}
```

## Documentation

Full documentation can be found at [platesphp.com](http://platesphp.com/).

## Testing

```bash
$ phpunit
```

## Contributing

Please see [CONTRIBUTING](https://github.com/thephpleague/plates/blob/master/CONTRIBUTING.md) for details.

## Credits

- [Jonathan Reinink](https://github.com/reinink)
- [All Contributors](https://github.com/thephpleague/plates/contributors)

## License

The MIT License (MIT). Please see [License File](https://github.com/thephpleague/plates/blob/master/LICENSE) for more information.